Package org.bukkit.event.world

# Enum Class PortalCreateEvent.CreateReason

java.lang.Object
java.lang.Enum<PortalCreateEvent.CreateReason>
org.bukkit.event.world.PortalCreateEvent.CreateReason

All Implemented Interfaces:
  `Serializable`, `Comparable<PortalCreateEvent.CreateReason>`, `Constable`

Enclosing class:
  PortalCreateEvent

public static enum PortalCreateEvent.CreateReason extends Enum<PortalCreateEvent.CreateReason>
An enum to specify the various reasons for a portal's creation

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`END_PLATFORM`
When the target end platform is created as a result of a player entering an end portal.
`FIRE`
When the blocks inside a portal are created due to a portal frame being set on fire.
`NETHER_PAIR`
When a nether portal frame and portal is created at the exit of an entered nether portal.

## Method Summary

Modifier and Type
Method
Description
`static PortalCreateEvent.CreateReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PortalCreateEvent.CreateReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRE

public static final PortalCreateEvent.CreateReason FIRE
When the blocks inside a portal are created due to a portal frame being set on fire.

### NETHER_PAIR

public static final PortalCreateEvent.CreateReason NETHER_PAIR
When a nether portal frame and portal is created at the exit of an entered nether portal.

### END_PLATFORM

public static final PortalCreateEvent.CreateReason END_PLATFORM
When the target end platform is created as a result of a player entering an end portal.

## Method Details

### values

public static PortalCreateEvent.CreateReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PortalCreateEvent.CreateReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null